Matriz - Projetos
Listar Projetos por Unidade (Matriz)
Retorna todos os projetos de uma determinada unidade, com suas respectivas tarefas. Exclusivo para empresas do tipo Matriz. Paginado em 50 projetos por página.
Query Parameters
apiKey*string
Chave de acesso da empresa. Encontrada na aba BI de Minha Empresa.
page*integer
Número da página (inicia em 1)
companyId*integer
ID da unidade (filial) no eKyte
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.ekyte.com/v1.3/branches/projects?apiKey=xxxxxxxxxxxxxxx&page=1&companyId=0"{
"error": null,
"data": [
{
"id": 0,
"name": "string",
"alias": "string",
"workspaceId": 0,
"workspace": "string",
"createdIn": "2019-08-24T14:15:22Z",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"situation": 0,
"workspaceExternalId": "string",
"sourceProjectId": 0,
"sourceProjectName": "string",
"createdById": "string",
"createdBy": "string",
"companyId": 0,
"company": {},
"tasks": [
{}
]
}
],
"paging": {
"currentPage": {
"size": 0,
"number": 0
},
"totalCollectionSize": 0,
"totalPages": 0
}
}{
"error": {
"id": "string",
"message": "string",
"details": "string",
"code": "string"
},
"data": null
}{
"error": {
"id": "string",
"message": "string",
"details": "string",
"code": "string"
},
"data": null
}{
"error": {
"id": "string",
"message": "string",
"details": "string",
"code": "string"
},
"data": null
}